#-----------------------------------------------------------------------------
#
# CUDPPConfig.cmake - CUDPP CMake configuration file for external projects.
#
# This file is configured by CUDPP and used by the UseCUDPP.cmake module
# to load CUDPP's settings for an external project.

# The CUDPP include file directories.
SET(CUDPP_INCLUDE_DIRS "${CUDPP_DIR}/include")


# The CUDPP library directories.
SET(CUDPP_LIBRARY_DIRS "${CUDPP_DIR}/lib")

# The binary directory for CUDPP
SET(CUDPP_BINARY_DIR "${CUDPP_DIR}/lib")

# The C and C++ flags added by ITK to the cmake-configured flags.
SET(CUDPP_REQUIRED_C_FLAGS "")
SET(CUDPP_REQUIRED_CXX_FLAGS "")
SET(CUDPP_REQUIRED_LINK_FLAGS "")

# The CUDPP version number
SET(CUDPP_VERSION_MAJOR "1")
SET(CUDPP_VERSION_MINOR "1")
SET(CUDPP_VERSION_PATCH "1")

# The location of the UseCUDPP.cmake file.
SET(CUDPP_USE_FILE "${CUDPP_DIR}/UseCUDPP.cmake")

# The build settings file.
#SET(CUDPP_BUILD_SETTINGS_FILE "${CUDPP_DIR}/CUDPPBuildSettings.cmake")

# Whether CUDPP was built with shared libraries.
SET(CUDPP_BUILD_SHARED "ON")

# A list of all libraries for CUDPP.  Those listed here should
# automatically pull in their dependencies.

SET(CUDPP_LIBRARY cudpp64)
SET(CUDPP_LIBRARY_DEBUG cudpp64d)
