#-----------------------------------------------------------------------------
#
# RITKConfig.cmake - RITK CMake configuration file for external projects.
#
# This file is configured by RITK and used by the UseRITK.cmake module
# to load RITK's settings for an external project.

# The RITK include file directories.
SET(RITK_INCLUDE_DIRS "${RITK_DIR}/dev/include/Tools;${RITK_DIR}/dev/include/Core;${RITK_DIR}/dev/include/Core/ui;${RITK_DIR}/dev/include/Visualization;${RITK_DIR}/dev/include/Visualization/ui;${RITK_DIR}/dev/include/Common;${RITK_DIR}/dev/include/VTK;${RITK_DIR}/dev/include/VTK/ThirdParty;${RITK_DIR}/dev/include/Cuda;${RITK_DIR}/dev/include/Cuda/ui;${RITK_DIR}/dev/include/OpenCL;${RITK_DIR}/dev/include/Algorithms")

# The RITK library directories.
SET(RITK_LIBRARY_DIRS "${RITK_DIR}/dev/lib/release;${RITK_DIR}/dev/lib/debug")

# The binary directory for RITK
SET(RITK_BINARY_DIR "${RITK_DIR}/bin")

# The C and C++ flags added by RITK to the cmake-configured flags.
SET(RITK_REQUIRED_C_FLAGS "")
SET(RITK_REQUIRED_CXX_FLAGS "")
SET(RITK_REQUIRED_LINK_FLAGS "")

# The RITK version number
SET(RITK_VERSION_MAJOR "1")
SET(RITK_VERSION_MINOR "0")
SET(RITK_VERSION_PATCH "0")

# The location of the UseRITK.cmake file.
SET(RITK_USE_FILE "${RITK_DIR}/UseRITK.cmake")

# The build settings file.
#SET(RITK_BUILD_SETTINGS_FILE "${RITK_DIR}/RITKBuildSettings.cmake")

# Whether RITK was built with shared libraries.
SET(RITK_BUILD_SHARED "ON")

# A list of all libraries for RITK.  Those listed here should
# automatically pull in their dependencies.

SET(RITK_TOOLS_LIBRARY ritkTools)
SET(RITK_COMMON_LIBRARY ritkCommon)
SET(RITK_CORE_LIBRARY ritkCore)
SET(RITK_VISUALIZATION_LIBRARY ritkVisualization)
SET(RITK_VTK_LIBRARY ritkVTK)
SET(RITK_CUDA_LIBRARY ritkCuda)
SET(RITK_OPENCL_LIBRARY ritkOpenCL)
SET(RITK_ALGORITHMS_LIBRARY ritkAlgorithms)

SET(RITK_TOOLS_LIBRARY_DEBUG ritkToolsd)
SET(RITK_COMMON_LIBRARY_DEBUG ritkCommond)
SET(RITK_CORE_LIBRARY_DEBUG ritkCored)
SET(RITK_VISUALIZATION_LIBRARY_DEBUG ritkVisualizationd)
SET(RITK_VTK_LIBRARY_DEBUG ritkVTKd)
SET(RITK_CUDA_LIBRARY_DEBUG ritkCudad)
SET(RITK_OPENCL_LIBRARY_DEBUG ritkOpenCLd)
SET(RITK_ALGORITHMS_LIBRARY_DEBUG ritkAlgorithmsd)


