/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkCommon.h
	Version:		$Revision: 1761 $
	Date:			$Date: 2011-09-23 17:25:41 +0200 (Fr, 23 Sep 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

// Due to explicit template instantiation
#if defined(WIN32)
	#pragma warning(disable : 4661)
#endif

namespace ritk
{
// Shared library export/import macro for the Common group
#if defined(COMMON_SHAREDLIB_EXPORT)
	#if defined(WIN32)
		#define COMMON_EXPORT __declspec(dllexport)
	#else
		#define COMMON_EXPORT
	#endif
#else
	#if defined(WIN32)
		#define COMMON_EXPORT __declspec(dllimport)
	#else
		#define COMMON_EXPORT
	#endif
#endif

// Doxygen group for Common
/** @defgroup Common Common
 *	Basic acquisition and processing methods/interfaces. 
 */




} // end namespace ritk
