/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkPluginCreatorDialog.h
	Version:		$Revision: 1761 $
	Date:			$Date: 2011-09-23 17:25:41 +0200 (Fr, 23 Sep 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#ifndef PLUGINCREATORDIALOG_H__
#define PLUGINCREATORDIALOG_H__

#include "ui_ritkPluginCreatorDialog.h"
#include <QDialog>
#include <QObject>



namespace ritk
{


/**	@class	PluginCreatorDialog
 *	@author	Sebastian Bauer
 *	@brief	Dialog for creating new plugins
 *
 *	@details
 *	Dialog that provides functionality to create new plugins (application/filter plugins)
 */
class PluginCreatorDialog : public QDialog, private Ui::PluginCreatorDialog	
{
	Q_OBJECT

public:
	/// Constructor
	PluginCreatorDialog(QWidget* parent = 0);
	/// Destructor
	~PluginCreatorDialog();

private slots:
	/// Create plugin
	void CreatePlugin();
};

} // end namespace ritk

#endif // PLUGINCREATORDIALOG_H__