/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkOpenGLVolumeRayCastEntityInstantiations.cxx
	Version:		$Revision: 2745 $
	Date:			$Date: 2012-03-09 16:16:26 +0100 (Fr, 09 Mrz 2012) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/


#include "ritkVisualization.h"
#include "ritkOpenGLVolumeRayCastEntity.txx"
#include "ritkRayCasterBase.txx"

#include <itkImage.h>
#include <itkRGBAPixel.h>

namespace ritk
{

// Ray caster base
template class VISUALIZATION_EXPORT RayCasterBase<itk::Image<float,3>, itk::Image<float,2> >;
template class VISUALIZATION_EXPORT RayCasterBase<itk::Image<itk::RGBAPixel<unsigned char>,3>, itk::Image<itk::RGBAPixel<unsigned char>,2> >;
template class VISUALIZATION_EXPORT RayCasterBase<itk::Image<itk::RGBAPixel<float>,3>, itk::Image<itk::RGBAPixel<float>,2> >;

// Ray cast entity
template class VISUALIZATION_EXPORT OpenGLVolumeRayCastEntity<itk::Image<float,3>, itk::Image<float,2> >;
template class VISUALIZATION_EXPORT OpenGLVolumeRayCastEntity<itk::Image<itk::RGBAPixel<unsigned char>,3>, itk::Image<itk::RGBAPixel<unsigned char>,2> >;
template class VISUALIZATION_EXPORT OpenGLVolumeRayCastEntity<itk::Image<itk::RGBAPixel<float>,3>, itk::Image<itk::RGBAPixel<float>,2> >;


} // ritk
