#include "ritkCore.h"
#include "TOFSimulatorSource.txx"
#include "StatisticalModel.txx"

#include <itkArray.h>
#include <itkArray2D.h>

template class Q_DECL_EXPORT TOFSimulatorSource<ritk::RImageF2, ritk::RGBRImageUCF2>;
template class Q_DECL_EXPORT TOFSimulatorSource<ritk::RImageF2, KinectImageF2>;

template class StatisticalModel<itk::Array<float>,itk::Array2D<float> >;
template class StatisticalModel<itk::Array<double>,itk::Array2D<double> >;

std::ostream& operator<<(std::ostream &out, const std::vector<itk::Array<float> > &container)
{
	out << "NumElems: " << container.size() << " VecDim:" << container[0].size() << std::endl;
	return out;
}

std::ostream& operator<<(std::ostream &out, const std::vector<itk::Array<double> > &container)
{
	out << "NumElems: " << container.size() << " VecDim:" << container[0].size() << std::endl;
	return out;
}

